# Module `mouse`

awesome mouse API

### Info:

- Copyright: 2008-2009 Julien Danjou
- Author: Julien Danjou <julien@danjou.info>

## Functions

coords (coords_table, silent) | Get or set the mouse coords.
object_under_pointer () | Get the client or any object which is under the pointer.

## Tables

mouse | Mouse library.

## Functions

coords (coords_table, silent)
  Get or set the mouse coords.

  ### Parameters:

  - coords_table None or a table with x and y keys as mouse coordinates.
  - silent Disable mouse::enter or mouse::leave events that could be triggered by the pointer when moving.

  ### Returns:

  A table with mouse coordinates.
object_under_pointer ()
  Get the client or any object which is under the pointer.

  ### Returns:

  A client or nil.

## Tables

mouse
  Mouse library.

  ### Fields:

  - screen Mouse screen number.

generated by LDoc 1.4.2